Summary: Redirect non-SSL connections to SSL connections
Name: sslredir
Version: 0.9.1
Release: 1
License: GPL
Group: Applications/Internet
Source: http://sault.org/sslredir/downloads/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}
BuildArch: noarch
Requires: python >= 2.3
Requires: m2crypto >= 0.9

%description
sslredir is a simple utility used for redirecting incoming non-SSL con-
nections  to  outgoing  SSL  connections.   This is useful for enabling
applications such as mail, news, or IRC clients, which do  not  support
SSL,  to  connect  to  SSL servers.  It also supports connecting to the
remote host through a SOCKS4A proxy, so sslredir is ideal for use  with
Tor (http://tor.eff.org).

%prep
%setup

%install
%{__rm} -rf %{buildroot}
make install BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_bindir}/sslredir
%{_mandir}/man1/sslredir.1.gz

%changelog
* Thu Jun 6 2005 Jason Tackaberry <tack@sault.org> - 0.9.0-1
- Initial package
